Package ru.bitel.oss.kernel.directories.address.common.bean

# Class AddressPrefixSuffix

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.directories.address.common.bean.AddressPrefixSuffix

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `City`, `CityItem`

public class AddressPrefixSuffix extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AddressPrefixSuffix()`
  `protected`
  `AddressPrefixSuffix(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getTitlePrefix()`
  `String`
  `getTitleSuffix()`
  `void`
  `setTitlePrefix(String titlePrefix)`
  `void`
  `setTitleSuffix(String titleSuffix)`
  `String`
  `toTitle()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### AddressPrefixSuffix

    protected AddressPrefixSuffix()

  - ### AddressPrefixSuffix

    protected AddressPrefixSuffix(int id, String title)

- ## Method Details

  - ### getTitlePrefix

    public String getTitlePrefix()

  - ### setTitlePrefix

    public void setTitlePrefix(String titlePrefix)

  - ### getTitleSuffix

    public String getTitleSuffix()

  - ### setTitleSuffix

    public void setTitleSuffix(String titleSuffix)

  - ### toTitle

    public String toTitle()